package sk.upjs.ics.kniznica.gui;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.table.AbstractTableModel;
import sk.upjs.ics.kniznica.Kniha;
import sk.upjs.ics.kniznica.Kniznica;
import sk.upjs.ics.kniznica.PamatovaKniznica;
import sk.upjs.ics.kniznica.SuborovaKniznica;

public class KniznicaTableModel extends AbstractTableModel{
    private Kniznica kniznica;

    public KniznicaTableModel() {
        try {
            kniznica = new SuborovaKniznica(new File("meh.txt"));
        } catch (FileNotFoundException ex) {
            throw new IllegalStateException("Nenasiel sa subor s datami", ex);
        }
    }

    public int getRowCount() {
        return kniznica.getPocetKnih();
    }

    public int getColumnCount() {
        return 2;
    }

    public Object getValueAt(int rowIndex, int columnIndex) {
        Kniha kniha = kniznica.getVsetkyKnihy().get(rowIndex);
        switch (columnIndex) {
            case 0:
                return kniha.getAutor();
            case 1:
                return kniha.getNazov();
            default:
                return null;
        }
        
    }
    
}
